<h1> {{title}} </h1>

<nav>
    <a routerLink="/dashboard">Dashboard</a>
    <a routerLink="/heroes">Heroes</a>
</nav>
<!-- <app-heroes></app-heroes> Used before ROuter outlet -->
<router-outlet></router-outlet>
<app-messages></app-messages>